<%- include('../../admin-layout', 
{ 
    pageTitle: 'Admin management',
    breadcrumb1: "Business",
    breadcrumb2: "Purchase",
    addLink: `
        <link rel="stylesheet" href="${asset('/css/page/administrator/purchase.css')}">
    `,
    addMain: `
        <main id="Main">
            <div class="row" id="form-search">
                <div class="col-sm-6 mb-4">
                    <label class="form-label">Name</label>
                    <input type="text" class="form-control" placeholder="Enter name" name="clientName">
                </div>
                <div class="col-sm-6 mb-4">
                    <label class="form-label">Email</label>
                    <input type="text" class="form-control" placeholder="Enter email" name="clientEmail">
                </div>
                <div class="col-sm-6 mb-4">
                    <label class="form-label">Status</label>
                    <select class="form-control" name="status" required>
                        <option value="">Choice status</option>
                        <option value="0">Waiting</option>
                        <option value="1">Confirmed and on the way for delivery...</option>
                        <option value="2">Received the item...</option>
                        <option value="3">Cancelled by user</option>
                        <option value="4">Cancelled...</option>
                    </select>
                </div>
                
                <div class="col-sm-6 mb-4">
                    <label class="form-label">Address</label>
                    <input type="text" class="form-control" placeholder="Enter address" name="address">
                </div>
                <div class="col-sm-6 mb-4">
                    <label class="form-label">Created at from</label>
                    <input type="datetime-local" class="form-control" name="minCreatedAt">
                </div>
                <div class="col-sm-6 mb-4">
                    <label class="form-label">Created at to</label>
                    <input type="datetime-local" class="form-control" name="maxCreatedAt">
                </div>      
                <div class="col-sm-12 mb-4 d-flex justify-content-between">
                    <div>
                        <button class="btn btn-primary" id="search">Search</button>
                        <button class="btn btn-primary" id="reset">Reset</button>
                    </div>
                </div>
            </div>

            <div id="tabContent">
                <div class="tabContent">
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Email</th>
                                <th>Address</th>
                                <th>Created at</th>
                                <th>Status</th>                                                            
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody id="insert_data">

                        </tbody>
                    </table>                    
                </div>
            </div>
            <div class="divMC_B contentbreak">
                <div class="grpNofP">
                    <button class="NfP" id="firstPageLink">First page</button>               
                    <button class="NfP" id="prevPageLink">Prev page</button>
                    <p id="page-now"></p>                   
                    <button class="NfP" id="nextPageLink">Next page</button>
                    <button class="NfP" id="lastPageLink">Last page</button>            
                </div>
            </div>
            
            <!-- Update -->
            <div class="modal" tabindex="-2" role="dialog" id="updatePurchaseModal">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Update purchase</h5>
                        </div>
                        <div class="modal-body">                            
                            <form id="updateForm">
                                <div class="form-group">
                                    <label for="medicineTypeId">Status:</label>
                                    <select class="form-control" name="status" required>
                                        <option disabled selected>Choice status</option>
                                        <option value="1">Confirmed and on the way for delivery...</option>
                                        <option value="2">Received the item...</option>
                                        <option value="4">Cancelled...</option>
                                        <option value="5">User do not received the item</option>
                                    </select>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal" id="closeUpdateModal">Close</button>
                            <button type="button" class="btn btn-primary" id="saveUpdatePurchase">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal" tabindex="-1" role="dialog" id="viewPurchaseModal">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">View purchase</h5>
                        </div>
                        <div class="modal-body">
                            <!-- Form -->
                            <div>
                                <div class="form-group">
                                    <label for="name">Name: <span id="name"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Phone: <span id="phone"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Email: <span id="email"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Address: <span id="address"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Created at: <span id="createdAt"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Total: <span id="total"></span></label>
                                </div>
                                <div class="form-group">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th>Name</th>
                                                <th>Type</th>
                                                <th>Price</th>
                                                <th>Quantity</th>
                                                <th>Total</th>
                                            </tr>
                                        </thead>
                                        <tbody id="show_data">
                
                                        </tbody>
                                    </table>    
                                </div>                                
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal" id="closeViewModal">Close</button>
                        </div>
                    </div>
                </div>

        </main>
    `,
    addScript: `
        <script src="${asset('/js/backtick_dynamic_html.js')}"></script>
        <script src="${asset('/js/page/administrator/purchase.js')}"></script>
    `
}) -%>